package com.ama.core.architecture.empty

import com.ama.core.architecture.base.BaseViewModel
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.emptyFlow


class EmptyViewModel : BaseViewModel<EmptyUiState>() {
    override val uiStateInitialValue: EmptyUiState = EmptyUiState()
    override val uiStateFlow: Flow<EmptyUiState> = emptyFlow()
}

class EmptyUiState